## gogglesmm 0.12.4

=== debian/changelog ===
gogglesmm (0.12.4-4) unstable; urgency=low

  * Removed optimization flags that are not avaiable on all platforms
    (-march=native)

 -- Hendrik Rittich <hendrik.rittich@gmx.de>  Tue, 25 Oct 2011 11:57:44 +0200

gogglesmm (0.12.4-3) unstable; urgency=low

  * Fixex lintian warnings.

 -- Hendrik Rittich <hendrik.rittich@gmx.de>  Thu, 13 Oct 2011 18:33:29 +0200

gogglesmm (0.12.4-2) unstable; urgency=low

  * Removed unnecessary patch.

 -- Hendrik Rittich <hendrik.rittich@gmx.de>  Thu, 13 Oct 2011 18:16:16 +0200

gogglesmm (0.12.4-1) unstable; urgency=low

  * New upstream release

 -- Hendrik Rittich <hendrik.rittich@gmx.de>  Thu, 13 Oct 2011 17:47:59 +0200
