## gogglesmm 0.12.6

=== debian/changelog ===
gogglesmm (0.12.6-1) unstable; urgency=low

  * New upstream release
  * Closes: #656902
  * Does not link against libcurl anymore, closes: #668178

 -- Hendrik Rittich <hendrik.rittich@gmx.de>  Sun, 19 Feb 2012 17:47:35 +0100

gogglesmm (0.12.5-1) unstable; urgency=low

  * New upstream release
  * Removed README.source, because it only contained deprecated information
    about dpatch.

 -- Hendrik Rittich <hendrik.rittich@gmx.de>  Wed, 21 Dec 2011 20:02:17 +0100
