=== debian/control ===
--- 
+++ 
@@ -6,8 +6,7 @@
 Build-Depends: debhelper (>= 7), libdbus-1-dev, libtag1-dev,
     libfox-1.6-dev, libxrandr-dev, libxine-dev,
     libsqlite3-dev (>= 3.4), libbz2-dev,
-    libdbus-glib-1-dev, libcurl4-openssl-dev,
-    imagemagick
+    libdbus-glib-1-dev, imagemagick
 Standards-Version: 3.9.2
 
 Package: gogglesmm
