=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,7 @@
 	sh fox-pkg-config.sh > fox.pc
 	# Add here commands to configure the package.
 	PKG_CONFIG_PATH=".:$$PKG_CONFIG_PATH" \
+	OPT_CFLAGS="-O3 -fstack-protector" \
 	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
 		--prefix=/usr CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"
