## gogglesmm 0.12.7

=== Makefile ===
--- 
+++ 
@@ -82,6 +82,9 @@
 src/GMWindow.cpp \
 src/main.cpp \
 src/gmutils.cpp \
+src/ap_buffer.cpp \
+src/ap_http.cpp \
+src/ap_xml_parser.cpp \
 src/icons.cpp
 
 ifneq (,$(findstring md5,$(OPTIONS)))
