=== debian/changelog ===
gogglesmm (0.12.7-3build2) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:26:15 +0000

gogglesmm (0.12.7-3build1) wily; urgency=medium

  * No change rebuild for libtag1v5

 -- Micah Gersten <micahg@ubuntu.com>  Sun, 23 Aug 2015 16:10:21 -0500

gogglesmm (0.12.7-3) unstable; urgency=medium

  * Added dependency libgcrypt20-dev, closes: #746097
  * Updated to standards version 3.9.5
  * Fixed watchfile.

 -- Hendrik Rittich <hendrik.rittich@gmx.de>  Fri, 02 May 2014 14:39:32 +0200

gogglesmm (0.12.7-2) unstable; urgency=low

  * Changed dependencies from libxine-dev to libxine2-dev, closes: #724762
  * Recommends the installation of libxine2-plugins such that common audio
    codecs and backends are available.

 -- Hendrik Rittich <hendrik.rittich@gmx.de>  Fri, 27 Sep 2013 21:40:51 +0200

gogglesmm (0.12.7-1) unstable; urgency=low

  * New upstream release, closes: #697587
  * Updated build dependencies
  * Added the use of buildflags.mk
  * Removed unnecessary commands from debian/rules
  * Updated to standards 3.9.4
  * Copyright file now points to the correct format URL
  * Switched from fox-config to pkg-config

 -- Hendrik Rittich <hendrik.rittich@gmx.de>  Sun, 16 Dec 2012 11:52:31 +0100
