=== debian/control ===
Source: gogglesmm
Section: sound
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Hendrik Rittich <hendrik.rittich@gmx.de>
Homepage: http://gogglesmm.github.io/
Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.16.1~),
    libdbus-1-dev, libtag1-dev, libgcrypt20-dev,
    libfox-1.6-dev, libxrandr-dev, libxine2-dev,
    libsqlite3-dev (>= 3.4), libbz2-dev, imagemagick
Standards-Version: 3.9.5

Package: gogglesmm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libxine2-plugins
Description: Goggles Music Manager
 Goggles Music Manager is a music collection manager and player that 
 automatically categorizes your music files based on genre, artist, 
 album, and song. It supports gapless playback and features easy tag 
 editing.
