=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# <Webpage URL> <string match>
https://github.com/gogglesmm/gogglesmm/releases \
    .*/gogglesmm/archive/(.*)\.tar\.gz \
    debian uupdate
